#include <iostream>
using namespace std;
int main(){
    int n,k,min,pomocna,z,c=0;
    cin>>n>>k;
    int brojac[n];
    int bacanja1[n];
    int bacanja2[n];
    int bacanja3[n];
    int bacanja4[n];
    for(int i = 0;i<n;i++){
        cin>>bacanja1[i];
        bacanja2[i] = bacanja1[i];
        brojac[i] = 0;
    }
    for(int j = 1;j<n;j++){
        while(true){
            if(bacanja2[j]<bacanja2[j-1]){
                pomocna = bacanja2[j];
                bacanja2[j] = bacanja2[j-1];
                bacanja2[j-1] = pomocna;
                j--;
            }
            else{
                break;
            }
        }
    }
    z = 1;
    bacanja3[0] = bacanja2[0];
    for(int s = 1;s<n;s++){
        if(bacanja2[s]!=bacanja2[s-1]){
            bacanja3[z] = bacanja2[s];
            z++;
        }
    }
    for(int t = 0;t<z;t++){
        for(int d = 0;d<n;d++){
            if(bacanja3[t] == bacanja1[d]){
                brojac[t] += 1;
            }
        }
    }
    for(int p = 0;p<z;p++){
        if(brojac[p]>=k){
            bacanja4[c] = bacanja3[p];
            c++;
        }
    }
    cout<<c<<"\n";
    for(int y = 0;y<c;y++){
        cout<<bacanja4[y]<<" ";
    }
}